summaryrefslogtreecommitdiffstats
path: root/src.etc/init.d/mountkernfs
diff options
context:
space:
mode:
Diffstat (limited to 'src.etc/init.d/mountkernfs')
-rwxr-xr-xsrc.etc/init.d/mountkernfs39
1 files changed, 17 insertions, 22 deletions
diff --git a/src.etc/init.d/mountkernfs b/src.etc/init.d/mountkernfs
index 8a701a8..83d5179 100755
--- a/src.etc/init.d/mountkernfs
+++ b/src.etc/init.d/mountkernfs
@@ -1,30 +1,25 @@
-#!/bin/sh
+#!/bin/sh /etc/rc.common
start()
{
- printf 'Mounting kernel virtual file systems... '
- [ ! -e /proc/mounts ] && mount -t proc -o nodev,noexec,nosuid proc /proc
- [ ! -e /sys/kernel ] && mount -t sysfs -o nodev,noexec,nosuid sysfs /sys
- printf 'done.\n'
+ log 'Mounting kernel virtual file systems'
+ if ! [ -e /proc/mounts ]; then
+ mount -t proc -o nodev,noexec,nosuid proc /proc || \
+ return ${?}
+ fi
+ if ! [ -e /sys/kernel ]; then
+ mount -t sysfs -o nodev,noexec,nosuid sysfs /sys || \
+ return ${?}
+ fi
}
stop()
{
- printf 'Unmounting kernel virtual file systems... '
- [ -e /proc/mounts ] && umount /proc
- [ -e /sys/kernel ] && umount /sys
- printf 'done.\n'
+ log 'Unmounting kernel virtual file systems'
+ if [ -e /proc/mounts ]; then
+ umount /proc || return ${?}
+ fi
+ if [ -e /sys/kernel ]; then
+ umount /sys || return ${?}
+ fi
}
-
-case "${1}" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- *)
- printf 'Usage: %s {start|stop}\n' "${0}" >&2
- exit 1
- ;;
-esac